<!-- castorpoutine custom css -->
<!--
    This create a warning in chromium
 <link href="../../fontawesome/css/all.css" rel="stylesheet"> -->
<!-- Include a Fancytree skin that support glyphs
<link href="../src/skin-awesome/ui.fancytree.css" rel="stylesheet">
-->

<template class="task-template">
  <section id="windows-section" class="section js-section u-category-windows">
    <header class="section-header">
      <div class="section-wrapper" align="left">
        <h1>
          <svg class="section-icon"><use xlink:href="assets/img/icons.svg#icon-menu"></use></svg>
          Create & Configure
        </h1>
      </div>
    </header>
<table><tr>
          <td>
            <h1>
              <label for="configuration_select">Configuration :</label>
              <select id="configuration_select" name="configuration_name">
                   <option value="none" selected>Please choose</option>
              </select>
              <i id="configuration_load" class="fas fa-play-circle">Load simulation</i>
              <i id="configuration_unload" class="fas fa-stop-circle">Unload simulation</i>
            </h1>
            </td>
            <td>
                <h3>State : <div id="configuration_state">___</div></h3>
            </td>
          <td>
              <h3>Version ID : <div id="configuration_version_integer">___</div></h3>
          </td>
          <td>
              <h3>Last Edit : <div id="configuration_lastedit_date">___</div></h3>
          </td>
</td></tr></table>
              <!-- <h2>Configuration Properties</h2> -->
               <div id="tree_selection_container_configuration" align="center" >
                   <table id="tree_selection_configuration" align="center">
                       <colgroup>
                       <col width="30%" align="left"></col>
                       <col width="*" align="left"></col>
                       </colgroup>
                       <thead>
                           <tr> <th>Property</th><th>Name</th> </tr>
                       </thead>
                       <tbody>
                           <tr><td>Name</td><td><div id="configuration_edit_name" contenteditable="true"></div></td></tr>
                           <tr><td>Working Folder</td><td><div id="configuration_edit_workingfolder" contenteditable="true"></div></td></tr>
                           <tr><td>Group Settings</td><td><div id="configuration_edit_groupsettings" contenteditable="true"></div></td></tr>
                           <tr><td>Load Sequence</td><td><div id="configuration_edit_loadsequence" contenteditable="true"></div></td></tr>
                           <tr><td>Install Path</td><td><div id="configuration_edit_installpath" contenteditable="true"></div></td></tr>
                       </tbody>
                   </table>
               </div>
    <h2>Runners Information</h2>
    <div id="tree_container">
        <table id="tree">
        	<colgroup>
            <col width="40%" align="left"></col>
            <col width="15%" align="center"></col>
            <col width="15%" align="center"></col>
            <col width="15%" align="center"></col>
            <col width="15%" align="center"></col>
        	</colgroup>
        	<thead>
        		<tr> <th>Node Name</th> <th>SSH Status</th><th>HTTP Status</th> <th>Packages Sync</th> <th>Classification</th></tr>
        	</thead>
        	<tbody>
		              <tr> <td  align="left" /><td  align="left"/><td  align="left"/><td  /><td  align="left"/></tr>
        	</tbody>
        </table>
    </div>
    <h2>Selected Element</h2>
    <div id="tree_selection_container">
        <div id="tree_selection_container_node">
            <table id="tree_selection_node">
            	<colgroup>
                <col width="50%" align="left"></col>
                <col width="*" align="left"></col>
            	</colgroup>
            	<thead>
            		<tr> <th>Property</th><th>Name</th> </tr>
            	</thead>
            	<tbody>
                    <tr><td>Runner Name</td><td><div id="node_edit_name" class="edit-node-name" contenteditable="true"></div></td></tr>
                    <tr><td>Runner User</td><td><div id="node_edit_username" class="edit-node-username" contenteditable="true"></div></td></tr>
                    <tr><td>IP</td><td><div id="node_edit_ip" contenteditable="true"></div></td></tr>
                    <tr><td>Port</td><td><div id="node_edit_port" contenteditable="true"></div></td></tr>
                    <tr><td>OS</td><td><div id="node_edit_os" contenteditable="true"></div></td></tr>
                    <tr><td>SSH Key</td><td><div id="node_edit_sshkey" contenteditable="true"></div></td></tr>
                    <tr><td>SSH PWD</td><td><div id="node_edit_sshpwd" contenteditable="true"></div></td></tr>
                    <tr><td>Settings</td><td><div id="node_edit_settings" contenteditable="true"></div></td></tr>
                    <tr><td>Env</td><td><div id="node_edit_env" contenteditable="true"></div></td></tr>
                    <tr><td>Performance</td><td><div id="node_edit_performance" contenteditable="true"></div></td></tr>
            	</tbody>
            </table>
        </div>
        <div id="tree_selection_container_packagegroup">
            <table id="tree_selection_packagegroup">
            	<colgroup>
                <col width="50%" align="left"></col>
                <col width="*" align="left"></col>
            	</colgroup>
            	<thead>
            		<tr> <th>Property</th><th>Name</th> </tr>
            	</thead>
            	<tbody>
                    <tr><td>Title</td><td><div id="packagegroup_edit_name" contenteditable="true"></div></td></tr>
            	</tbody>
            </table>
        </div>
        <div id="tree_selection_container_package">
            <table id="tree_selection_package">
            	<colgroup>
                <col width="50%" align="left"></col>
                <col width="*" align="left"></col>
            	</colgroup>
            	<thead>
            		<tr> <th>Property</th><th>Name</th> </tr>
            	</thead>
            	<tbody>
                    <tr><td>Name</td><td><div id="package_edit_name" contenteditable="true"></div></td></tr>
                    <tr><td>Alias</td><td><div id="package_edit_alias" contenteditable="true"></div></td></tr>
                    <tr><td>Location</td><td><div id="package_edit_location" contenteditable="true"></div></td></tr>
                    <tr><td>XML File</td><td><div id="package_edit_xmlLayerFile" contenteditable="true"></div></td></tr>
                    <tr><td>Settings</td><td><div id="package_edit_settings" contenteditable="true"></div></td></tr>
                    <tr><td>CM Info</td><td><div id="package_edit_cminfo" contenteditable="true"></div></td></tr>
            	</tbody>
            </table>
        </div>
    </div>
    <script type="text/javascript">
      require('./renderer-process/castorpoutine/renderer-castorpoutine-init')

    </script>

  </section>
</template>
